package com.uas.platform.b2b.temporary.model;

import java.io.Serializable;
import java.util.Date;

public class OutPlanInfo implements Serializable {

	/**
	 * 序号
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * id
	 */
	private Long mpd_id;

	/**
	 * 地点
	 */
	private String mpd_address;

	/**
	 * 类别
	 */
	private String mpd_kind;

	/**
	 * 其他拜访
	 */
	private String mpd_remark;

	/**
	 * 位置
	 */
	private String mpd_location;

	/**
	 * 公司
	 */
	private Long enuu;

	/**
	 * 预计到达时间
	 */
	private Date mpd_arrivedate;

	/**
	 * 实际到达时间
	 */
	private Date mpd_actdate;

	/**
	 * 离开时间
	 */
	private Date mpd_outdate;

	/**
	 * 记录时间
	 */
	private Date mpd_recorddate;


	/**
	 * 距离
	 */
	private Double mpd_distance;

	/**
	 * 经度
	 */
	private Double md_longitude;

	/**
	 * 纬度
	 */
	private Double md_latitude;

	/**
	 * 主表id
	 */
	private Long mp_id;

	/**
	 * 主表id
	 */
	private Long mpd_mpid;

	/**
	 * 状态
	 */
	private String mpd_status;

	/**
	 * 拜访企业名称
	 */
	private String mpd_company;

	/**
	 * 记录人
	 */
	private String mp_recorder;

	/**
	 * 编号
	 */
	private String mp_code;

	/**
	 * 记录人编号
	 */
	private Long mp_recordercode;

	/**
	 * 第一次打卡时间
	 */
	private Date mp_firsttime;

	/**
	 * 最后一次打卡时间
	 */
	private Date mp_lasttime;

	public Long getMpd_id() {
		return mpd_id;
	}

	public void setMpd_id(Long mpd_id) {
		this.mpd_id = mpd_id;
	}

	public String getMpd_address() {
		return mpd_address;
	}

	public void setMpd_address(String mpd_address) {
		this.mpd_address = mpd_address;
	}

	public String getMpd_kind() {
		return mpd_kind;
	}

	public void setMpd_kind(String mpd_kind) {
		this.mpd_kind = mpd_kind;
	}

	public String getMpd_remark() {
		return mpd_remark;
	}

	public void setMpd_remark(String mpd_remark) {
		this.mpd_remark = mpd_remark;
	}

	public String getMpd_location() {
		return mpd_location;
	}

	public void setMpd_location(String mpd_location) {
		this.mpd_location = mpd_location;
	}

	public Long getEnuu() {
		return enuu;
	}

	public void setEnuu(Long enuu) {
		this.enuu = enuu;
	}

	public Date getMpd_arrivedate() {
		return mpd_arrivedate;
	}

	public void setMpd_arrivedate(Date mpd_arrivedate) {
		this.mpd_arrivedate = mpd_arrivedate;
	}

	public Date getMpd_actdate() {
		return mpd_actdate;
	}

	public void setMpd_actdate(Date mpd_actdate) {
		this.mpd_actdate = mpd_actdate;
	}

	public Date getMpd_outdate() {
		return mpd_outdate;
	}

	public void setMpd_outdate(Date mpd_outdate) {
		this.mpd_outdate = mpd_outdate;
	}

	public Date getMpd_recorddate() {
		return mpd_recorddate;
	}

	public void setMpd_recorddate(Date mpd_recorddate) {
		this.mpd_recorddate = mpd_recorddate;
	}

	public Double getMpd_distance() {
		return mpd_distance;
	}

	public void setMpd_distance(Double mpd_distance) {
		this.mpd_distance = mpd_distance;
	}

	public Double getMd_longitude() {
		return md_longitude;
	}

	public void setMd_longitude(Double md_longitude) {
		this.md_longitude = md_longitude;
	}

	public Double getMd_latitude() {
		return md_latitude;
	}

	public void setMd_latitude(Double md_latitude) {
		this.md_latitude = md_latitude;
	}

	public Long getMp_id() {
		return mp_id;
	}

	public void setMp_id(Long mp_id) {
		this.mp_id = mp_id;
	}

	public Long getMpd_mpid() {
		return mpd_mpid;
	}

	public void setMpd_mpid(Long mpd_mpid) {
		this.mpd_mpid = mpd_mpid;
	}

	public String getMpd_status() {
		return mpd_status;
	}

	public void setMpd_status(String mpd_status) {
		this.mpd_status = mpd_status;
	}

	public String getMpd_company() {
		return mpd_company;
	}

	public void setMpd_company(String mpd_company) {
		this.mpd_company = mpd_company;
	}

	public String getMp_recorder() {
		return mp_recorder;
	}

	public void setMp_recorder(String mp_recorder) {
		this.mp_recorder = mp_recorder;
	}

	public String getMp_code() {
		return mp_code;
	}

	public void setMp_code(String mp_code) {
		this.mp_code = mp_code;
	}

	public Long getMp_recordercode() {
		return mp_recordercode;
	}

	public void setMp_recordercode(Long mp_recordercode) {
		this.mp_recordercode = mp_recordercode;
	}

	public Date getMp_firsttime() {
		return mp_firsttime;
	}

	public void setMp_firsttime(Date mp_firsttime) {
		this.mp_firsttime = mp_firsttime;
	}

	public Date getMp_lasttime() {
		return mp_lasttime;
	}

	public void setMp_lasttime(Date mp_lasttime) {
		this.mp_lasttime = mp_lasttime;
	}

}
